Ontology

List concept types

GET
/api/v1/ontologies/{ontology_id}/concept-types

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Path Parameters

ontology_id*Ontology Id

Header Parameters

authorization?string|null
x-api-key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/ontologies/string/concept-types"
[  {    "id": "string",    "ontology_id": "string",    "key": "string",    "label": "string",    "parent_id": "string",    "attributes": [      {        "key": "string",        "label": "string",        "data_type": "text",        "select_options": [          "string"        ],        "required": false      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]